int gridInterval = 20; 
int PLOTX1, PLOTX2;
int PLOTY1, PLOTY2;
int LABELX, LABELY;
int DATAMIN, DATAMAX;
int XMIN, XMAX;
int XINTERVAL; 
int YINTERVAL; 
PFont font; 

void setup()
{
  size(800,600);
  smooth();
  background(255);   
  font = loadFont("Helvetica-14.vlw");
  PLOTX1 = 120; 
  PLOTX2 = width-60; 
  PLOTY1 = 80; 
  PLOTY2 = height-80; 
  LABELX = 60; 
  LABELY = height-40; 
  DATAMIN = 0; 
  DATAMAX = 500;
  XMIN = 0; 
  XMAX = 100; 
  XINTERVAL = 10; 
  YINTERVAL = 100; 
  
}

void draw()
{
  background(255); 
  drawGrid();
  drawPlot();
  drawTitle();
  drawAxisLabels();
  drawXLabels(); 
  drawYLabels(); 
  drawData(); 
  
}
  
void drawData()
{
  for(int i = 0; i < 51; i++)
  {
    stroke(255);
    strokeWeight(6); 
    strokeCap(SQUARE);
    float x = map(i,0,50,PLOTX1, PLOTX2); 
    float y = PLOTY1 + 300.0*noise(i); 
    stroke(y); 
    line(x,PLOTY2,x,y); 
  }
}

